Bug 674591

Summary: pulp-admin consumer history is entirely broken
Product: [Retired] Pulp Reporter: Jay Dobies <jason.dobies>
Component: z_otherAssignee: Jay Dobies <jason.dobies>
Status: CLOSED CURRENTRELEASE QA Contact: Preethi Thomas <pthomas>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: unspecified   
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-16 12:08:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 647488    

Description Jay Dobies 2011-02-02 15:21:05 UTC
pulp-admin consumer history --id guardian
+------------------------------------------+
              Consumer History
+------------------------------------------+
Traceback (most recent call last):
  File "/usr/bin/pulp-admin", line 7, in <module>
    execfile(__file__)
  File "/home/jdob/code/pulp/bin/pulp-admin", line 147, in <module>
    admin.main()
  File "/home/jdob/code/pulp/src/pulp/client/cli/base.py", line 98, in main
    command.main(args[1:])
  File "/home/jdob/code/pulp/src/pulp/client/core/base.py", line 118, in main
    action.main(args[1:])
  File "/home/jdob/code/pulp/src/pulp/client/core/base.py", line 231, in main
    self.run()
  File "/home/jdob/code/pulp/src/pulp/client/core/consumer.py", line 344, in run
    (event_type, json_utils.parse_date(entry['timestamp']), entry['originator'])
  File "/home/jdob/code/pulp/src/pulp/client/json_utils.py", line 32, in parse_date
    return datetime.utcfromtimestamp(float(date_string))
TypeError: float() argument must be a string or a number

Comment 1 Jay Dobies 2011-02-02 16:36:45 UTC
commit	c173d6197f18e1aac6839a3903aac37f93f60620
tree	604fa297c06b8e48639030b45be851a2110a6330


674591 - Changed how timestamps are stored.


src/pulp/server/db/model/resource.py

Comment 2 Jay Dobies 2011-02-02 20:07:11 UTC
Fixed in 0.134.

Comment 3 Preethi Thomas 2011-02-03 14:33:50 UTC
verified
[root@preethi ~]# rpm -q pulp
pulp-0.0.134-1.fc14.noarch


[root@preethi ~]# pulp-client consumer history --id=preethi
+------------------------------------------+
              Consumer History
+------------------------------------------+

Event Type              Consumer Created         
Timestamp               2011-02-03 14:34:50      
Originator              admin                    

[root@preethi ~]# pulp-admin consumer history --id=preethi
+------------------------------------------+
              Consumer History
+------------------------------------------+

Event Type              Consumer Created         
Timestamp               2011-02-03 14:34:50      
Originator              admin

Comment 4 Preethi Thomas 2011-08-16 12:08:03 UTC
Closing with Community Release 15

pulp-0.0.223-4.

Comment 5 Preethi Thomas 2011-08-16 12:21:21 UTC
Closing with Community Release 15

pulp-0.0.223-4.